Bug 641454 - Output 'JBD: spotted dirty metadata buffer' message when usrquota is enabled [rhel-6.0.z]
Summary: Output 'JBD: spotted dirty metadata buffer' message when usrquota is enabled ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Petr Beňas
URL:
Whiteboard:
Depends On: 624909
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-08 18:56 UTC by Benjamin Kahn
Modified: 2015-01-04 22:59 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.32-71.4.1.el6
Doc Type: Bug Fix
Doc Text:
Running a fsstress test which issues various operations on a ext4 filesystem when usrquota is enabled, the following JBD (Journaling Block Device) error was output in /var/log/messages: JBD: Spotted dirty metadata buffer (dev = sda10, blocknr = 17635). There's a risk of filesystem corruption in case of system crash. With this update, by always journaling the quota file modification in an ext4 file system the aforementioned message no longer appears in the logs.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:10:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description Benjamin Kahn 2010-10-08 18:56:34 UTC
This bug has been copied from bug #624909 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 2 Frantisek Hrbata 2010-10-12 18:53:28 UTC
in kernel-2.6.32-71.4.1.el6

Comment 3 Petr Beňas 2010-10-14 08:51:23 UTC
The bug has been reproduced in 2.6.32-71 and the fix has been verified in 2.6.32-71.4.

Comment 6 errata-xmlrpc 2010-11-10 19:10:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 7 Martin Prpič 2010-11-11 11:57:11 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Running a fsstress test which issues various operations on a ext4 filesystem when usrquota is enabled, the following JBD (Journaling Block Device) error was output in /var/log/messages:

    JBD: Spotted dirty metadata buffer (dev = sda10, blocknr = 17635). There's a risk of filesystem corruption in case of system crash.

    With this update, by always journaling the quota file modification in an ext4 file system the aforementioned message no longer appears in the logs.


Note You need to log in before you can comment on or make changes to this bug.